Bug 507766 - system-config-network-tui gives an unhandled exception
system-config-network-tui gives an unhandled exception
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network (Show other bugs)
5.4
s390x All
low Severity medium
: rc
: ---
Assigned To: Harald Hoyer
BaseOS QE
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 02:20 EDT by IBM Bug Proxy
Modified: 2011-04-06 05:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash dump (3.01 KB, text/plain)
2011-04-05 06:53 EDT, iranna
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 54118 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-06-24 02:20:27 EDT
=Comment: #0=================================================
SANTOSH K. S <sskumar1@in.ibm.com> - 
System-config-network-tui tool throws an error whiel trying to configure the qeth interfaces , 

[root@santosh ~]# uname -a
Linux santosh 2.6.18-153.el5 #1 SMP Wed Jun 10 17:53:47 EDT 2009 s390x s390x s390x GNU/Linux

Unhandled exception has occured while executing system-config-network tool. 

[root@santosh ~]# system-config-network-tui 
An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file
a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.3.99.17
Summary: TB /usr/lib64/python2.4/site-packages/snack.py:270:set:TypeError: argument 1 must be
string, not None
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 242, in ?
    if act.runIt(screen):
  File "/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py", line 130, in runIt
    self.setState()
  File "/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py", line 39, in setState
    if not hasattr(dev, "getDialog") or not dev.getDialog():
  File "/usr/share/system-config-network/netconfpkg/plugins/NCDevQeth.py", line 112, in getDialog
    dialog =  _devQethDialog(self)
  File "/usr/share/system-config-network/netconfpkg/tui/NCQethInterface.py", line 28, in __init__
    self.setState()
  File "/usr/share/system-config-network/netconfpkg/tui/NCQethInterface.py", line 61, in setState
    self.options.set(hw.Card.Options)
  File "/usr/lib64/python2.4/site-packages/snack.py", line 270, in set
    return self.w.entrySetValue(text)
TypeError: argument 1 must be string, not None

> /usr/lib64/python2.4/site-packages/snack.py(270)set()
-> return self.w.entrySetValue(text)
(Pdb) 


Steps to recreate problem:
===============

1> attach, enable layer2 option and bringqeth device online.
2> execute system-config-network-tui from command line.
3> select edit device > new device > qeth > enter the details 


Name: eth1 
Device: eth1
Use dhcp: 
Static IP: 10.100.50.13
netmask: 255.255.0.0
default gateway:
Read ID: 0.0.4100
data ID: 0.0.4101
write ID: 0.0.4102
options:layer2=1
mac address: 02:06:72:43:01:02

> ok

after enter control is directly goes to  pdb prompt.
While trying to check the Backtrace from the above command prompt of Pdb

(Pdb)
(Pdb)
(Pdb) bt
/usr/sbin/system-config-network-tui(260)?()
-> raise
/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py(130)runIt()
-> self.setState()
/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py(39)setState()
-> if not hasattr(dev, "getDialog") or not dev.getDialog():
/usr/share/system-config-network/netconfpkg/plugins/NCDevQeth.py(112)getDialog()
-> dialog = _devQethDialog(self)
/usr/share/system-config-network/netconfpkg/tui/NCQethInterface.py(28)__init__()
-> self.setState()
/usr/share/system-config-network/netconfpkg/tui/NCQethInterface.py(61)setState()
-> self.options.set(hw.Card.Options)
> /usr/lib64/python2.4/site-packages/snack.py(270)set()
-> return self.w.entrySetValue(text)
================================================


Redhat,

This looks to be a problem with the tool. Please look into it. Thanks!
Comment 1 IBM Bug Proxy 2009-07-02 08:00:27 EDT
------- Comment From sskumar1@in.ibm.com 2009-07-02 07:54 EDT-------
tested in RHEL5.4_beta1, still problem exists.
Comment 14 IBM Bug Proxy 2009-07-15 05:01:00 EDT
------- Comment From mgrf@de.ibm.com 2009-07-15 04:55 EDT-------
Hello Red Hat:
This changed state to "on QA" in RHBZ but no indication of any fix integration.
Please let us know if fix can be expeted with rc1.
Thx for posting
Comment 15 Harald Hoyer 2009-07-15 05:56:47 EDT
yes, can be expected
Comment 16 John Jarvis 2009-07-15 09:31:11 EDT
The fix is planned for inclusion in snapshot 3.
Comment 17 IBM Bug Proxy 2009-07-28 05:01:02 EDT
------- Comment From sskumar1@in.ibm.com 2009-07-28 04:53 EDT-------
verified and it's working fine in RHEL5.4_snap3 as expected.

thanks

Santosh,
Comment 18 Radek Bíba 2009-07-30 02:06:10 EDT
Thanks for the verification!
Comment 20 errata-xmlrpc 2009-09-02 07:20:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1352.html
Comment 21 iranna 2011-04-05 06:53:58 EDT
Created attachment 489958 [details]
crash dump

when i added hostnames this error come...pls suggest.
Comment 22 Harald Hoyer 2011-04-06 05:00:38 EDT
(In reply to comment #21)
> Created attachment 489958 [details]
> crash dump
> 
> when i added hostnames this error come...pls suggest.

This bug is addressed here:
https://bugzilla.redhat.com/show_bug.cgi?id=492915

Note You need to log in before you can comment on or make changes to this bug.